## afni 16.2.07~dfsg.1

=== CMakeLists.txt ===
## Rudimentary cmake setup for now just to run tests

PROJECT(AFNI)

##
## Define options to customize the build-process
##

OPTION(AFNI_BUILD_TESTS
       "Enable testing and build available tests"
       OFF)

IF(AFNI_BUILD_TESTS)
  ENABLE_TESTING()
  ADD_SUBDIRECTORY(tests)
ENDIF(AFNI_BUILD_TESTS)

=== tests/CMakeLists.txt ===
PROJECT(TESTS)
#
# Tests -- building/running is aggregated within a separate directory
#          so they do not interact/pollute main build space
#
# yoh: for some reason WORKING_DIRECTORY is not quite working for me
#      says BAD_COMMAND for the binary to be executed.  That is why
#      this solution with tests/ directory
#

ADD_TEST(afni:start ../../tests/xvfb-driver -- afni -com "OPEN_WINDOW axialimage; SAVE_JPEG axialimage test1; QUIT")

# TODO: figure out how to reference it correctly, or just copy to this
# target tests/ build directory
# Allow for 1 error and 2 failures reported -- due to the ones upon exit
ADD_TEST(do.examples ../../tests/xvfb-driver -e 0 -f 0 -- @DO.examples -auto_test)
SET_TESTS_PROPERTIES(do.examples PROPERTIES LABELS GLX)

=== doc/afni_sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SUMA.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SUMA.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SUMA"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SUMA"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== src/coxplot/Makefile ===
ALLO = color.o curve.o frame.o frstpt.o labmod.o memplt.o    \
       line.o perim.o periml.o phdot.o phline.o point.o      \
       points.o pwrit.o pwritf.o set.o setdsh.o              \
       setfrm.o setlin.o setw.o srface.o tick4.o vector.o    \
       zzaxxx.o zzaxyy.o zzchar.o zzclip.o zzlabl.o zzlgin.o \
       zzline.o zzlinx.o zzliny.o zzlogx.o zzlogy.o          \
       zzperi.o zzphph.o zzphys.o                            \
       ppak_perim.o ppak_pwrit.o ppak_pwritf.o ppak_srface.o \
       plot_cox.o plot_ps.o plot_ps2.o plot_x11.o            \
       plot_motif.o plot_ts.o ppak_commons.o plot_strip.o    \
       find_color_name.o

#IFLAGS = -I. -I..

# For IRIX 6.2
# CC     = cc -O2 -n32
# AR     = /usr/bin/ar
# RANLIB = /sbin/touch
# RM     = /bin/rm -f

# For Linux
# CC     = gcc -O2 -m486 -ffast-math
# AR     = /usr/bin/ar
# RANLIB = /usr/bin/ranlib
# RM     = /bin/rm -f
# LFLAGS = -s -L. -L.. -L/usr/X11R6/lib -lcoxplot -lf2c \
#          -lXm -lXp -lXpm -lXext -lXmu -lXt -lX11 -lm

libcoxplot.a:$(ALLO) coxplot.h
	$(RM) $@
	$(AR) q libcoxplot.a $(ALLO)
	$(RANLIB) libcoxplot.a

xxx:xxx.o libcoxplot.a
	$(RM) $@
	$(CC) -o xxx xxx.o $(LFLAGS) -L. -L.. -L/usr/X11/lib \
              -lcoxplot -lf2c -lXm -lXp -lXpm -lXext -lXmu -lXt -lX11 -lm

qqq:qqq.o libcoxplot.a
	$(RM) $@
	$(CC) -o qqq qqq.o -s -L. -L.. -L/usr/X11R6/lib -lcoxplot -lf2c -lX11 -lm

clean:
	$(RM) *.o *.P

.c.o:
	$(RM) $@
	$(CC) -c $*.c -I. -I.. $(IFLAGS)

# dependencies

plot_cox.o:coxplot.h

=== src/nifti/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
project(NIFTI)
cmake_minimum_required(VERSION 2.6)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

subdirs(znzlib niftilib)
add_definitions(-DHAVE_ZLIB)

# add option to build shared libraries. The default is OFF to maintain the
# current build behavior
option( BUILD_SHARED_LIBS "Toggle building shared libraries")

# Michael Hanke 2007-04-25 Note:
# 'Utilities' is merged into the include install path to be able to easily
# install into any other path if necessary. For the same reason lib, bin and
# include dir for standalone builds are only set if not yet defined.

###  USE AS PART OF ITK
if("${ITK_VERSION_MAJOR}" GREATER 0.0)
#   message(STATUS "---------------------ITK ZLIB  ${ITK_ZLIB_LIBRARIES}")
  add_definitions(-DHAVE_ZLIB)
  add_definitions(-DITKZLIB)
  set(PACKAGE_PREFIX "ITK")
  set(NIFTI_LIBRARY_PROPERTIES ${ITK_LIBRARY_PROPERTIES})
  set(NIFTI_INSTALL_BIN_DIR "${ITK_INSTALL_BIN_DIR_CM24}")
  set(NIFTI_INSTALL_LIB_DIR "${ITK_INSTALL_LIB_DIR_CM24}")

  if(ITK_USE_FLAT_DIRECTORY_INSTALL)
    set(NIFTI_INSTALL_INCLUDE_DIR "${ITK_INSTALL_INCLUDE_DIR_CM24}")
  else(ITK_USE_FLAT_DIRECTORY_INSTALL)
    set(NIFTI_INSTALL_INCLUDE_DIR "${ITK_INSTALL_INCLUDE_DIR_CM24}/Utilities")
  endif(ITK_USE_FLAT_DIRECTORY_INSTALL)

  set(NIFTI_ZLIB_LIBRARIES ${ITK_ZLIB_LIBRARIES})
  set(NIFTI_INSTALL_NO_DEVELOPMENT ${ITK_INSTALL_NO_DEVELOPMENT})
  set(NIFTI_INSTALL_NO_LIBRARIES ${ITK_INSTALL_NO_LIBRARIES})

else("${ITK_VERSION_MAJOR}" GREATER 0.0)
  set(CPACK_PACKAGE_VERSION_MAJOR "2")
  set(CPACK_PACKAGE_VERSION_MINOR "0")
  set(CPACK_PACKAGE_VERSION_PATCH "0")
###  USE AS STAND ALONE PACKAGE
   find_package(ZLIB)
#  message(STATUS "---------------------SYSTEM ZLIB ${ZLIB_LIBRARY}")
  set(PACKAGE_PREFIX "")
  # Set default shared library version
  # This library version will be applied to all libraries in the package
  # unless it is not explicitely for a certain lib.
  set(NIFTI_SHAREDLIB_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} )
  string( REGEX MATCH "^[0-9]+" NIFTI_SHAREDLIB_SOVERSION ${NIFTI_SHAREDLIB_VERSION})
  set(NIFTI_LIBRARY_PROPERTIES VERSION ${NIFTI_SHAREDLIB_VERSION} SOVERSION ${NIFTI_SHAREDLIB_SOVERSION})

  set(NIFTI_INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin")
  set(NIFTI_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib")
  set(NIFTI_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include/nifti")
  set(NIFTI_ZLIB_LIBRARIES ${ZLIB_LIBRARIES})
  set(NIFTI_INSTALL_NO_DEVELOPMENT 0)
  set(NIFTI_INSTALL_NO_LIBRARIES 0)

  #Needs an if clause and more work before testing can take place.
  subdirs(Testing)
  subdirs(nifticdf utils)

  option(USE_FSL_CODE "If OFF, The copyright of this code is questionable for inclusion with nifti." OFF)
  mark_as_advanced(USE_FSL_CODE)

  # the order of subdirs is important! fsliolob has to preceed examples
  # as otherwise FSLIOLIB_SOURCE_DIR is undefined and hence the examples
  # will fail to compile
  if(USE_FSL_CODE)
    subdirs(fsliolib)
    subdirs(examples)
  endif(USE_FSL_CODE)
  enable_testing()
  include(CTest)

  ####################################
  ### Define information necessary for packaging with CPACK (http://www.cmake.org/Wiki/CMake:Packaging_With_CPack)
### The last section is concerned with installing the binaries and making distributions.
include(InstallRequiredSystemLibraries)

set(CPACK_PACKAGE_NAME "NIFTI")

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-dev")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Niftilib is a set of i/o libraries for reading and writing files in the nifti-1 data format. nifti-1 is a binary file format for storing medical image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) brain images.")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${NIFTI_SOURCE_DIR}/README")
#set(CPACK_RESOURCE_FILE_LICENSE "${NIFTI_SOURCE_DIR}/Copyright.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${NIFTI_SOURCE_DIR}/README")

set(CPACK_PACKAGE_DEFAULT_LOCATION "/opt/${CPACK_PACKAGE_NAME}")
#set(CPACK_PACKAGE_INSTALL_DIRECTORY "NIFTI ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "${NIFTI}")
set(CPACK_PACKAGING_INSTALL_PREFIX "/")
set(CPACK_SET_DESTDIR ON)

set(CPACK_PACKAGE_VENDOR "NIFTI DFWG")

set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
#set(CPACK_SOURCE_IGNORE_FILES "/CVS/;/\\.svn/;\\.swp$;\\.#;/#;\\.*~")
set(CPACK_SOURCE_IGNORE_FILES "")
set(CPACK_PACKAGE_EXECUTABLES "NIFTI";"A program for registering medical
images with mutual information.")

if(WIN32 AND NOT UNIX)
  set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY
"${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
  set(CPACK_PACKAGE_ICON
"${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
  set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} My Famous
Project")
  set(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.nitrc.org")
  set(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.nitrc.org")
  set(CPACK_NSIS_CONTACT "xyz@domain.edu")
  set(CPACK_NSIS_MODIFY_PATH ON)
else(WIN32 AND NOT UNIX)
  set(CPACK_STRIP_FILES OFF)
  set(CPACK_SOURCE_STRIP_FILES OFF)
endif(WIN32 AND NOT UNIX)

include(CPack)


endif("${ITK_VERSION_MAJOR}" GREATER 0.0)



if(NOT DEFINED NIFTI_INSTALL_LIB_DIR)
  message(FATAL_ERROR "Must set NIFTI_INSTALL_LIB_DIR.")
endif(NOT DEFINED NIFTI_INSTALL_LIB_DIR)
if(NOT DEFINED NIFTI_INSTALL_BIN_DIR)
  message(FATAL_ERROR "Must set NIFTI_INSTALL_BIN_DIR.")
endif(NOT DEFINED NIFTI_INSTALL_BIN_DIR)
if(NOT DEFINED NIFTI_INSTALL_INCLUDE_DIR)
  message(FATAL_ERROR "Must set NIFTI_INSTALL_INCLUDE_DIR.")
endif(NOT DEFINED NIFTI_INSTALL_INCLUDE_DIR)

=== src/rickr/Makefile ===

IMON_OBJS  = l_mcw_glob.o realtime.o

WARN_OPT = 


clean:
	$(RM) *.o

file_tool: file_tool.o file_tool.h fields.o fields.h
	$(RM) $@
	$(CC) -o file_tool file_tool.o fields.o ../ge4_header.o -lm

tokens: tokens.o
	$(RM) $@
	$(CC) -o tokens tokens.o

Imon: Imon.o $(IMON_OBJS) Imon.h realtime.h
	$(RM) $@
	$(CC) -o Imon Imon.o $(IMON_OBJS) ../thd_iochan.o -lm

Dimon: Dimon.o realtime.o
	$(RM) $@
	$(CC) -o Dimon Dimon.o realtime.o $(LFLAGS) -L.. $(LLIBS)

Dimon1: Dimon1.o realtime1.o
	$(RM) $@
	$(CC) -o Dimon1 Dimon1.o realtime1.o $(LFLAGS) -L.. $(LLIBS)

serial_helper: serial_helper.o
	$(RM) $@
	$(CC) -o serial_helper serial_helper.o -lm

# ----------------------------------------------------------------------
# local Imon objects need mcw_glob, but without MCW_MALLOC

Imon.o: Imon.c Imon.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c Imon.c -I.. $(IFLAGS)

Dimon.o: Dimon.c Dimon.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c Dimon.c -I.. $(IFLAGS)

Dimon1.o: Dimon1.c Imon.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c Dimon1.c -I.. $(IFLAGS)

# no longer needed, but let's make sure...
dimon_afni.o: dimon_afni.c ../mri_image.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c dimon_afni.c -I.. $(IFLAGS)

l_mcw_glob.o: l_mcw_glob.c l_mcw_glob.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c l_mcw_glob.c -I.. $(IFLAGS)

mri_dicom_hdr.o: ../mri_dicom_hdr.c
	$(RM) $@
	$(CC) $(WARN_OPT)  -DFOR_DIMON -c ../mri_dicom_hdr.c -I.. $(IFLAGS)

realtime.o: realtime.c realtime.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c realtime.c -I.. $(IFLAGS)

realtime1.o: realtime1.c realtime.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c realtime1.c -I.. $(IFLAGS)

# -------------- end local Imon objects --------------------------------

.c.o:
	$(RM) $@
	$(CC) $(WARN_OPT) -c $*.c -I.. $(IFLAGS)

=== src/rwcox/Makefile ===
# This Makefile works on my personal Linux machine - RWCox

CEXTRA = -Wcomment -Wformat -DUSE_TRACING -fomit-frame-pointer -DHAVE_XDBE -pipe -Wuninitialized
CC     = gcc -O2 -ffast-math -DLINUX2 -DNO_GAMMA $(CEXTRA)
IFLAGS = -I. -I.. -I/usr/X11R6/include
LFLAGS = -L. -L.. -L/home/rwcox/abin -L/usr/X11R6/lib

PLUGIN_SUFFIX = so
PLUGIN_LFLAGS = -shared
PLUGIN_CC     = $(CC)
PLFLAGS       = -rdynamic -L. -L/usr/X11R6/lib

AR     = /usr/bin/ar
RANLIB = /usr/bin/ranlib
TAR    = /bin/tar
MKDIR  = /bin/mkdir
TAPE   = /dev/st0
GZIP   = /bin/gzip
LD     = gcc

RM = /bin/rm -f
MV = /bin/mv -f
CP = /bin/cp -f

LINT = /usr/bin/lint -a -b -u -v -x $(IFLAGS) $(CCDEFS)

INSTALLDIR = $(HOME)/abin
LIBDIR = $(INSTALLDIR)

LLIBS  = -lmri /usr/X11R6/lib/libXm.a -lXp -lXpm -lXext -lXmu -lXt -lX11 -lm  -ldl -lc

.c.o:
	$(RM) $@
	$(CC) -c $*.c $(IFLAGS)

.SUFFIXES:.$(PLUGIN_SUFFIX)

SO = $(PLUGIN_SUFFIX)

.c.$(SO):
	$(RM) $@
	$(PLUGIN_CC) -c $*.c $(IFLAGS)
	$(LD) $(PLUGIN_LFLAGS) -o $*.$(SO) $*.o

hasher:hasher.o
	$(CC) -o hasher hasher.o $(LFLAGS) $(LLIBS)

=== src/volpack/Makefile ===
# Makefile for the VolPack library.
#
# Copyright (c) 1994 The Board of Trustees of The Leland Stanford
# Junior University.  All rights reserved.
# 
# Permission to use, copy, modify and distribute this software and its
# documentation for any purpose is hereby granted without fee, provided
# that the above copyright notice and this permission notice appear in
# all copies of this software and that you do not sell the software.
# Commercial licensing is available by contacting the author.
# 
# THE SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
# 
# Author:
#    Phil Lacroute
#    Computer Systems Laboratory
#    Electrical Engineering Dept.
#    Stanford University
#

# shell to use for executing make commands
SHELL =		/bin/sh

###########################################################################
# Options that can be changed by the user.
###########################################################################

# list of optional C source files to build with code specialized
# for particular shaders and resampling filters
OPT_SRCS =	vp_compAC11B.c vp_compAC31B.c vp_compAC32B.c \
		vp_compAR11B.c vp_compAR31B.c vp_compAR32B.c

# object files corresponding to COMP_SRCS
OPT_OBJS =	vp_compAC11B.o vp_compAC31B.o vp_compAC32B.o \
		vp_compAR11B.o vp_compAR31B.o vp_compAR32B.o

# C define flags corresponding to COMP_SRCS; these tell the dispatch
# routines in the library which object files are available
OPT_FLAGS =	-DCOMP_AC11B   -DCOMP_AC31B   -DCOMP_AC32B \
		-DCOMP_AR11B   -DCOMP_AR31B   -DCOMP_AR32B

CSRC = vp_check.c vp_context.c vp_extract.c vp_file.c vp_linalg.c vp_octree.c \
       vp_renderA.c vp_renderB.c vp_renderC.c vp_renderR.c vp_resample.c \
       vp_rle.c vp_shade.c vp_transpose.c vp_util.c vp_view.c vp_warp.c
HSRC = volpack.h vp_global.h patchlevel.h
MSRC = vp_compA.m4 vp_warpA.m4
SUPPORT = Makefile.in configure.in no_edit_header makeopts.c
COMP_SRCS = vp_compAC1NB.c vp_compAC3NB.c vp_compAR1NB.c vp_compAR3NB.c \
       vp_compAC1PB.c vp_compAC3PB.c vp_compAR1PB.c vp_compAR3PB.c \
       vp_compAC00G.c vp_compAR00G.c vp_compAC1NS.c vp_compAC3NS.c \
       vp_compAR1NS.c vp_compAR3NS.c $(OPT_SRCS)
COMP_OBJS = vp_compAC1NB.o vp_compAC3NB.o vp_compAR1NB.o vp_compAR3NB.o \
       vp_compAC1PB.o vp_compAC3PB.o vp_compAR1PB.o vp_compAR3PB.o \
       vp_compAC00G.o vp_compAR00G.o vp_compAC1NS.o vp_compAC3NS.o \
       vp_compAR1NS.o vp_compAR3NS.o $(OPT_OBJS)
WARP_SRCS = vp_warpA101N.c vp_warpA301N.c vp_warpA110N.c vp_warpA111N.c \
       vp_warpA330N.c vp_warpA331N.c vp_warpA330R.c vp_warpA331R.c
WARP_OBJS = vp_warpA101N.o vp_warpA301N.o vp_warpA110N.o vp_warpA111N.o \
       vp_warpA330N.o vp_warpA331N.o vp_warpA330R.o vp_warpA331R.o
CGEN = vp_opts.c $(COMP_SRCS) $(WARP_SRCS)
OBJS = vp_check.o vp_context.o vp_extract.o vp_file.o vp_linalg.o vp_octree.o \
       vp_renderA.o vp_renderB.o vp_renderC.o vp_renderR.o vp_resample.o \
       vp_rle.o vp_shade.o vp_transpose.o vp_util.o vp_view.o vp_warp.o \
       vp_opts.o $(COMP_OBJS) $(WARP_OBJS)
COMP_IN = $(SRC_DIR)/no_edit_header $(SRC_DIR)/vp_compA.m4
WARP_IN = $(SRC_DIR)/no_edit_header $(SRC_DIR)/vp_warpA.m4
ESRC = vp_raycast.c
EOBJ = vp_raycast.o

libvolpack.a: $(OBJS)
	rm -f libvolpack.a
	ar cr libvolpack.a $(OBJS)
	$(RANLIB) libvolpack.a

$(OBJS): volpack.h vp_global.h config.h

######################################################################################
# Stuff added by RWCox to fit in with the AFNI package
######################################################################################

clean:
	$(RM) *.o

.c.o:
	$(RM) $@
	$(CC) -c $*.c -I. -I.. $(IFLAGS) $(OPT_FLAGS)

=== src/3DEdge/src/Makefile ===

CFILES = connexe.c \
	convert.c \
	extrema.c \
	iopnm.c \
	recbuffer.c \
	recline.c \
	test-edges.c \
	test-edges-pnm.c \
	test-hyster-pnm.c

COBJS = connexe.o \
	convert.o \
	extrema.o \
	iopnm.o \
	recbuffer.o \
	recline.o  \
	zcross.o 

EOBJS = test-edges.o \
	test-edges-pnm.o \
	test-hyster-pnm.o

#IFLAGS = -I. -I/usr/include -I/usr/X11R6/include -I/sw/include
#LFLAGS = -L. -L/usr/X11R6/lib -L/sw/lib 
#AR     = /usr/bin/ar
#RANLIB = /usr/bin/ranlib
#RM = /bin/rm -f

.c.o:; $(CC) $(IFLAGS) $(LFLAGS) -c $*.c;

all : clean test-edges test-edges-pnm test-hyster-pnm

clean :
	rm -f $(COBJS) $(EOBJS) test-edges test-edges-pnm test-hyster-pnm

lib3DEdge.a: $(COBJS)
	$(RM) $@
	$(AR) q lib3DEdge.a $(COBJS)
	$(RANLIB) lib3DEdge.a

test-edges : $(EOBJS) $(COBJS)
	$(CC) $(IFLAGS) $(LFLAGS) -o test-edges test-edges.o $(COBJS) -lm

test-edges-pnm : $(EOBJS) $(COBJS)
	$(CC) $(IFLAGS) $(LFLAGS)  -o test-edges-pnm test-edges-pnm.o $(COBJS) -lm

test-hyster-pnm : $(EOBJS) $(COBJS)
	$(CC) $(IFLAGS) $(LFLAGS)  -o test-hyster-pnm test-hyster-pnm.o $(COBJS) -lm

=== src/mpegtoppm_dir/test/Makefile ===
# Makefile.in generated by automake 1.7.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/mpeg2dec
pkglibdir = $(libdir)/mpeg2dec
pkgincludedir = $(includedir)/mpeg2dec
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = powerpc-apple-darwin8.8.0
ACLOCAL = ${SHELL} /Users/julia/AFNI/src/mpegtoppm_dir/autotools/missing --run aclocal-1.7
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /Users/julia/AFNI/src/mpegtoppm_dir/autotools/missing --run tar
AUTOCONF = ${SHELL} /Users/julia/AFNI/src/mpegtoppm_dir/autotools/missing --run autoconf
AUTOHEADER = ${SHELL} /Users/julia/AFNI/src/mpegtoppm_dir/autotools/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/julia/AFNI/src/mpegtoppm_dir/autotools/missing --run automake-1.7
AWK = awk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g  -Wall -O3 -fomit-frame-pointer
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INCLUDES = -I$(top_srcdir)/include -I$(top_builddir)/include
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBMPEG2_CFLAGS =  -prefer-non-pic
LIBMPEG2_LIBS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVO_CFLAGS = 
LIBVO_LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /Users/julia/AFNI/src/mpegtoppm_dir/autotools/missing --run makeinfo
OBJEXT = o
PACKAGE = mpeg2dec
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDLCONFIG = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.3.1
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS = 
ac_ct_CC = gcc
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__quote = 
bindir = ${exec_prefix}/bin
build = powerpc-apple-darwin8.8.0
build_alias = 
build_cpu = powerpc
build_os = darwin8.8.0
build_vendor = apple
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = powerpc-apple-darwin8.8.0
host_alias = 
host_cpu = powerpc
host_os = darwin8.8.0
host_vendor = apple
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /Users/julia/AFNI/src/mpegtoppm_dir/autotools/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = regression tests tek-525 tek-625 compile globals
TESTS = regression compile globals
subdir = test
mkinstalldirs = $(SHELL) $(top_srcdir)/autotools/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = README Makefile.am Makefile.in compile
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  test/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xpass=`expr $$xpass + 1`; \
	        failed=`expr $$failed + 1`; \
	        echo "XPASS: $$tst"; \
	      ;; \
	      *) \
	        echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xfail=`expr $$xfail + 1`; \
	        echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
	        failed=`expr $$failed + 1`; \
	        echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -n "$$skipped" && echo "$$skipped"; \
	  test -n "$$report" && echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-TESTS check-am clean clean-generic \
	clean-libtool distclean distclean-generic distclean-libtool \
	distdir dvi dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/netcdf-3.5.0/src/Makefile ===

include macros.make


PACKAGE		= netcdf
SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx
DIST_GARBAGE	= \
		config.cache	\
		config.status	\
		MANIFEST
PACKING_LIST	= \
		INSTALL.html	\
		COMPATIBILITY	\
		COPYRIGHT	\
		MANIFEST	\
		Makefile	\
		README		\
		RELEASE_NOTES	\
		VERSION		\
		aclocal.m4	\
		configure	\
		configure.in	\
		macros.make.in	\
		macros.make.def	\
		rules.make


all:		libsrc/all	\
		fortran/all	\
		f90/all	\
		ncdump/all	\
		ncgen/all	\
		cxx/all

test:		libsrc/test \
		nc_test/test nctest/test \
		fortran/test nf_test/test f90/test \
		ncdump/test ncgen/test cxx/test

check:		test

install:	libsrc/install \
		fortran/install \
		f90/install \
		ncdump/install \
		ncgen/install \
		cxx/install

uninstall:	libsrc/uninstall \
		fortran/uninstall \
		f90/uninstall \
		ncdump/uninstall \
		ncgen/uninstall \
		cxx/uninstall

clean:		libsrc/clean \
		nctest/clean nc_test/clean \
		fortran/clean f90/clean nf_test/clean \
		ncdump/clean ncgen/clean cxx/clean

distclean:	libsrc/distclean \
		nctest/distclean nc_test/distclean \
		fortran/distclean f90/distclean nf_test/distclean \
		ncdump/distclean ncgen/distclean cxx/distclean \
		clean_macros 

clean_macros:
	-cp macros.make.def macros.make

libsrc/all	\
libsrc/test	\
libsrc/install	\
libsrc/uninstall	\
libsrc/clean	\
libsrc/distclean	\
nctest/all	\
nctest/test	\
nctest/clean	\
nctest/distclean	\
nc_test/all	\
nc_test/test	\
nc_test/clean	\
nc_test/distclean	\
fortran/clean	\
fortran/distclean	\
f90/clean	\
f90/distclean	\
nf_test/clean	\
nf_test/distclean	\
ncdump/all	\
ncdump/test	\
ncdump/install	\
ncdump/uninstall	\
ncdump/clean	\
ncdump/distclean	\
ncgen/all	\
ncgen/test	\
ncgen/install	\
ncgen/uninstall	\
ncgen/clean	\
ncgen/distclean	\
cxx/clean	\
cxx/distclean	\
:
	@subdir=`echo $@ | sed 's,/.*,,'`; \
	target=`echo $@ | sed 's,.*/,,'`; \
	$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target

fortran/all	\
fortran/test	\
fortran/install	\
fortran/uninstall	\
nf_test/all	\
nf_test/test	\
:
	@case "$(FC)" in \
	    '') echo 1>&2 "Not making \`$@' because no FORTRAN compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

f90/all	\
f90/test	\
f90/install	\
f90/uninstall	\
:
	@case "$(F90)" in \
	    '') echo 1>&2 "Not making \`$@' because no FORTRAN-90 compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

cxx/all	\
cxx/test	\
cxx/install	\
cxx/uninstall	\
:
	@case "$(CXX)" in \
	    '') echo 1>&2 "Not making \`$@' because no C++ compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

subdir_target:
	@echo ""
	@cd $(SUBDIR) && \
	    echo "Making \`$(TGET)' in directory `pwd`" && \
	    echo "" && \
	    $(MAKE) $(TGET) || exit 1
	@echo ""
	@echo "Returning to directory `pwd`"
	@echo ""

install:	whatis
whatis:		$(MANDIR)/$(WHATIS)
$(MANDIR)/$(WHATIS):	$(MANDIR)
	$(MAKEWHATIS_CMD)
uninstall:
	rm -f $(MANDIR)/$(WHATIS)


################################################################################
# Distribution:

# The following rule checks to see that were on the right system.  If we're
# not, then the distribution mightn't contain the intended ncgen(1) (not
# to mention that dvips(1) is necessary for building the C++ User's Guide).
#
check_system:	FORCE
	@case "$(OVERRIDE)" in \
	'') case `uname -sr` in \
	    'SunOS 5'*) \
		exit 0;; \
	    *)  echo 1>&2 "Error: Not on a SunOS 5 system."; \
		echo 1>&2 "Set macro OVERRIDE to override."; \
		exit 1;; \
	    esac;; \
	*) exit 0;; \
	esac

# Make a compressed, tar(1) file of the source distribution in the current 
# directory.
#
tar.Z:		check_system FORCE
	@version=`cat VERSION`; \
	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version

$(PACKAGE)-$(VERSION).tar.Z:	ensure_manifest MANIFEST
	id=$(PACKAGE)-$(VERSION) \
	&& rm -rf $$id \
	&& mkdir $$id \
	&& ln -s .. $$id/src \
	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | compress > $@ \
	&& rm -r $$id

MANIFEST:	FORCE
	$(MAKE) MANIFEST.echo >$@

# Make a compressed, tar(1) file of the source distribution in the
# appropriate FTP directory.
#
# NOTE: Making "ftp" will cause the "tar.Z" file to be made even if it
# already exists.  This is because the MANIFEST file upon which it
# depends must be remade every time.  This is not a waste of time,
# however, if the "tar.Z" target is made in private directories and the
# "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
#
ftp:		check_system FORCE
	version=`cat VERSION`; \
	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.Z \
	    VERSION=$$version; \
	test -r $(FTPDIR)/$(PACKAGE).tar.Z || exit 0; \
	    cd $(FTPDIR) || exit 1;

$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.Z:	$(PACKAGE)-$(VERSION).tar.Z
	rm -f $@
	cp $(PACKAGE)-$(VERSION).tar.Z $@ 
	chmod u+rw,g+rw,o=r $@

# Make a compressed, tar(1) file of the binary distribution in the 
# appropriate FTP directory.
#
binftp:		FORCE
	version=`cat VERSION`; \
	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.tar.Z \
	    VERSION=$$version
ftpbin:		binftp

$(FTPBINDIR)/$(PACKAGE)-$(VERSION).tar.Z:
	rm -f $@
	id=$(PACKAGE)-$(VERSION) \
	&& rm -f $$id \
	&& ln -s $(prefix) $$id \
	&& tar $(TARFLAGS) - README $$id/bin $$id/include \
	    $$id/lib $$id/man | compress > $@ \
	&& rm $$id
	chmod u+rw,g+rw,o=r $@
	test -r $(FTPBINDIR)/$(PACKAGE).tar.Z || exit 0; \
	    cd $(FTPBINDIR) || exit 1;


include rules.make

=== src/nifti/cifti/Makefile ===

# note the TARFILE_NAME embeds the release version number
TARFILE_NAME	= nifti2clib-0.0.1

USEZLIB         = -DHAVE_ZLIB
N2DIR           = ../nifti2

## Compiler  defines
CC		= gcc -g
IFLAGS          = -I. 
CFLAGS          = -Wall -std=gnu99 -pedantic
NIFLAGS         = $(IFLAGS) -I$(N2DIR) -I../niftilib -I../znzlib $(USEZLIB)

LLIBS 		= -lz -lm
OBJS            = afni_xml.o afni_xml_io.o
NOBJS           = nifti2_io.o nifticdf.o znzlib.o

# --------------------------------------------------
# default compile for C files
%.o : %.c %.h
	$(CC) -c $(CFLAGS) $(NIFLAGS) $< -o $@

# --------------------------------------------------
# main targets (primary is nifti_tool, for now)


afni_xml_tool: afni_xml_tool.c $(OBJS)
	$(CC) -o $@ $(CFLAGS) $(IFLAGS) $< $(OBJS) -lexpat $(LLIBS)

clean:
	$(RM) *.o afni_xml_tool cifti_tool

#afni_xml.o: afni_xml.c afni_xml.h
#	$(CC) -c $(CFLAGS) -I. $< 

cifti_tool.o: cifti_tool.c
	$(CC) -c $(CFLAGS) $(NIFLAGS) $< 

cifti_tool: $(OBJS) $(NOBJS) cifti_tool.o
	$(CC) -o $@ $(CFLAGS) $(NIFLAGS) \
              cifti_tool.o $(OBJS) $(NOBJS) -lexpat $(LLIBS)

# --------------------------------------------------
# targets from source residing elsewhere

nifti2_io.o:
	$(CC) -c -DHAVE_ZLIB $(CFLAGS) $(NIFLAGS) $(N2DIR)/nifti2_io.c

nifticdf.o:
	$(CC) -c -DHAVE_ZLIB $(CFLAGS) $(NIFLAGS) ../nifticdf/nifticdf.c

znzlib.o:
	$(CC) -c -DHAVE_ZLIB $(CFLAGS) $(NIFLAGS) ../znzlib/znzlib.c

=== debian/changelog ===
afni (16.2.07~dfsg.1-5~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 12 Jun 2017 11:28:48 -0400

afni (16.2.07~dfsg.1-5) neurodebian; urgency=medium

  * Remove bdepends on hardening-includes which were removed in >=stretch, and
    just rely on dpkg-buildflags output

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Jun 2017 18:28:40 -0400

afni (16.2.07~dfsg.1-4) neurodebian; urgency=medium

  * Placed in build-time conflict with libglw1-mesa-dev == 8.0.0-1.1
    which is a known version to not carry the patch (see #863826)
    http://marc.info/?l=cygwin-xfree&m=141268983004514&w=2

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 02 Jun 2017 13:53:17 -0400

afni (16.2.07~dfsg.1-3) neurodebian; urgency=medium

  * BF for amd64 precise -- explicitly specify -fPIC for CFLAGS

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 31 Aug 2016 08:21:05 -0400

afni (16.2.07~dfsg.1-2) neurodebian; urgency=medium

  * install lib_fat_plot_sel.py lib_vars_object.py lib_fat_Rfactor.py libraries
    and unWarpEPI.py script
    (thanks Jeffrey Mark Siskind for the report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 27 Aug 2016 22:38:54 -0400

afni (16.2.07~dfsg.1-1) neurodebian; urgency=medium

  * Major update after a long time
    - New programs: 3dToyProg, nifti_tool, nifti1_tool, nifti1_test,
      nifti_stats, gifti_tool, cifti_tool, images_equal, uniq_images,
      GLTsymtest, 3dPval, 3dETC, stimband, 1dNLfit, csfft_cache, 3dLocalACF,
      3dNormalizer, 3dVecRGB_to_HSL, 3ddot_beta, 3dLombScargle, 3dAmpToRSFC,
      tokens, csfft_cache
    - New scripts: @Install_DBSproc, @Install_D99_macaque, @Install_3dPFM_Demo,
      3dPFM, @diff.files, @diff.tree, @get.afni.version, @GradFlipTest,
      @fat_tract_colorize
    - New Python scripts: fat_lat_csv.py fat_mat_sel.py fat_mvm_review.py,
      read_matlab_files.py, afni_skeleton.py, @DoPerRoi.py,
      lpc_align.py, parse_fs_lt_log.py
    - New Matlab scripts: afni_isdigit.m, afni_swapbytes.m
    - 19 new faces, 10 new splashes, and 172 new quotes
    - run afni_history for a more detailed account of upstream changes
  * Now built as a fork from upstream's github repo
  * Updated CMake build system
  * Build and bundle AFNI's copy of both gifti and nifti
    - due to the latest versions being here in AFNI rather than upstream :-/
  * debian/patches
    - up_include_right: some include fixes
  * Bump debian/compat to 9

 -- Michael Hanke <mih@debian.org>  Fri, 05 Aug 2016 12:49:14 +0200

=== debian/control ===
Source: afni
Section: contrib/science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>,
           Alex Waite <Alexqw85@gmail.com>
Build-Depends: cmake (>= 2.6.4), debhelper (>= 9~),
               libmotif-dev,
               libnifti1-dev | libnifti-dev,
               libvolpack1-dev | libvolpack-dev,
               libglw1-mesa-dev | libglw-dev,
               libgts-dev,
               libjpeg62-dev | libjpeg-dev,
               libqhull-dev,
               libnetcdf-dev,
               freeglut3-dev | freeglut-dev,
               libgl1-mesa-dev | libgl-dev,
               libexpat1-dev | libexpat-dev,
               libf2c2-dev,
               zlib1g-dev,
               libxmu-dev,
               libxpm-dev,
               libgsl0-dev,
               libxi-dev,
               libgiftiio-dev,
               libgomp1,
               chrpath,
               x11proto-print-dev,
               matlab-support-dev,
               libxmhtml-dev | xmhtml1-dev | xmhtml-dev,
               r-base-core,
               xvfb, xauth, libgl1-mesa-dri, mesa-utils,
               tcsh,
               libjpeg-turbo-progs | libjpeg-progs,
               libxt-dev,
               libxext-dev,
Standards-Version: 3.9.8
Homepage: http://afni.nimh.nih.gov
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/afni.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/afni.git

Package: afni
Architecture: any
Depends: neurodebian-popularity-contest, afni-common (= ${source:Version}),
         tcsh, gifsicle, libjpeg-progs,
         ${shlibs:Depends}, ${misc:Depends}
Recommends: nifti-bin,
            bzip2, ffmpeg, netpbm, qhull-bin,
Suggests: r-base
Description: toolkit for analyzing and visualizing functional MRI data
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 In addition to its own format, AFNI understands the NIfTI format and is
 therefore integrates easily with FSL and FreeSurfer.


Package: afni-common
Architecture: all
Depends: neurodebian-popularity-contest, python, tcsh,
         ${shlibs:Depends}, ${misc:Depends}
Recommends: python-mdp, python-nibabel,
         afni-atlases,
Description: miscellaneous scripts and data files for AFNI
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides the required architecture independent parts of AFNI.


Package: afni-dev
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: header and static libraries for AFNI plugin development
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides the necessary libraries and header files for AFNI
 plugin development.


Package: afni-dbg
Architecture: any
Section: contrib/debug
Depends: neurodebian-popularity-contest, afni (=${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: debug symbols for AFNI
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides debug symbols which could be useful to troubleshoot
 and report problems with AFNI.
